%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define	name	irssi
%define version 0.8.10
%define release 9

Name:		%{name}
Version:	%{version}
Release: 	%mkrel %{release}
Summary:	Irssi is an IRC client
License:	GPL
Group:		Networking/IRC
Patch0:     irssi-fix-bug-22151.patch.bz2
BuildRequires:	glib2-devel ncurses-devel perl-devel
URL:		http://irssi.org/
Source0:	http://irssi.org/irssi/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package	devel
Group:		Development/C
Summary:	Static libraries for the development of irssi applications
Requires:	%{name} = %{version}

%description devel
Static libraries for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}

%description perl
Perl plugin for irssi.


%prep
%setup -q 
%patch0 -p0

%build
aclocal -I .
autoconf
automake -a -c

%configure	--with-plugins \
		--enable-ipv6 \
		--with-proxy \
		--with-socks \
		--with-bot \
		--with-perl=module \
		--with-perl-lib=%{perl_vendorlib}

%make


%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

# Files that should not be installed:
%{__rm} -f $RPM_BUILD_ROOT%{perl_vendorarch}/perllocal.pod
%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/%{name}/config.h

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog README TODO NEWS docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libfe_perl.*
%exclude %{_libdir}/%{name}/modules/libperl_core.*
%{_libdir}/%{name}/modules/*.so
%{_libdir}/%{name}/modules/*.la
%{_libdir}/%{name}/modules/*so.*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}/modules/*.a
%{_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}

%files perl
%defattr(-,root,root)
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libfe_perl.la
%{_libdir}/%{name}/modules/libperl_core.so
%{_libdir}/%{name}/modules/libperl_core.la
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*

%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.10-9
- Rebuild

* Wed Aug 09 2006 Michael Scherer <misc@mandriva.org> 0.8.10-8mdv2007.0
- Rebuild

* Thu Jul 20 2006 Michael Scherer <misc@mandriva.org> 0.8.10-7mdv2007.0
- Remove old menu, as this is a non graphical irc client 

* Wed Apr 26 2006 Michael Scherer <misc@mandriva.org> 0.8.10-6mdk
- fix 22151, sotlen ubuntu and irssi patch

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.8.10-5mdk
- remove artificial perl deps on main package, as we splitted in irssi-perl

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8.10-4mdk
- Rebuild for new perl

* Mon Dec 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.10-3mdk
- fix build with automake 1.7

* Sun Dec 11 2005 Michael Scherer <misc@mandriva.org> 0.8.10-2mdk
- fix backporting ( regenerate configure )
- fix BuildRequires
- compile perl as a module

* Sun Dec 11 2005 Michael Scherer <misc@mandriva.org> 0.8.10-1mdk
- 0.8.10

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-0.rc5.20050809.3mdk
- rebuilt against openssl-0.9.8a

* Thu Aug 11 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.10-0.rc5.20050809.2mdk
- fix multiarch

* Thu Aug 11 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.10-0.rc5.20050809.1mdk
- update to 0.8.10-rc5 (svn snapshot from 20050809)
- drop P0 (fixed upstream)
- do libtoolize again
- add headers to devel package

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8.9-7mdk
- Rebuild for new perl
- Patch 0 to build with gcc 4.0.0

* Fri Mar 25 2005 Michael Scherer <misc@mandrake.org> 0.8.9-6mdk
- Rebuild to fix #14964
- fix summary

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.9-5mdk
- Rebuild for new perl; description nits

* Wed Jul 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.9-4mdk
- Rebuild for new perl

* Tue Apr 06 2004 Michael Scherer <misc@mandrake.org> 0.8.9-3mdk
- rebuild for new perl
- change menu section

* Wed Jan 21 2004 Pixel <pixel@mandrakesoft.com> 0.8.9-2mdk
- rebuild for new perl

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.9-1mdk
- 0.8.9

* Tue Nov 25 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.8-1mdk
- 0.8.8
- own unowned dirs
- fix docs
- cosmetics

* Mon Nov 17 2003 Stefan van der Eijk <stefan@eijk.nu> 0.8.7-0.rc3mdk
- Mon Nov 17 2003 Han Boetes <han@linux-mandrake.com> 0.8.7-0.rc3mdk
- more macros, better description. New release upcoming.

* Tue Nov 11 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-6mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Fri Aug 01 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-5mdk
- rebuild against new perl

* Wed Jul 30 2003 Pixel <pixel@mandrakesoft.com> 0.8.6-4mdk
- when requiring the perl-base used for building, include the epoch

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.8.6-3mdk
- Rebuild

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.6-2mdk
- add %%{_datadir}/irssi to files list in stead of %%{_datadir}/irssi/*,
  so we don't end up with unowned %%{_datadir}/irssi dir
- remove gcc from BuildRequires, rpm-build already depends on it, so
  this is redundant

* Sun Nov 24 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.6-1mdk
		o Fri Nov 22 2002 Han Boetes <han@linux-mandrake.com> 0.8.6-1mdk
		   - Bump
		   - Better version expando

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-5mdk
- re-enable perl, using patch from irssi author (via Han <han@linux-mandrake.com>)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-4mdk
- disabling perl

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-2mdk
- rebuild for perl 5.8.0

* Thu Jun 20 2002 Han Boetes <han@mijncomputer.nl> 0.8.5-1mdk
- VersionBump

* Fri Mar 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- form Han Boetes <han@mijncomputer.nl> :
	- Bump! Ouch! Sorry.
	- And now for real ... do a little cleanup :)
	- No more i18n.

* Fri Mar  1 2002 dam's <damien@mandrakesoft.com> 0.8.1-3mdk
- From Han Boetes <han@mijncomputer.nl> :
		- Add Irssi.pm to PLIST (oops)

* Mon Feb 25 2002 dam's <damien@mandrakesoft.com> 0.8.1-2mdk
- moved perllocal.pod to %{perl_vendorlib}/i386-linux/Irssi/

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.1-1mdk
- Bump version. (Han Boetes <han@mijncomputer.nl>)

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.0-1mdk
- Bump version. (Han Boetes <han@mijncomputer.nl>)
- BuildRequires

* Sat Feb 16 2002 Han Boetes <han@mijncomputer.nl> 0.7.99-0.beta1mdk
- Beta test for new version.
- Removed patch.
- Lots off little changes.

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.98.4-3mdk
- xpm -> png icons

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.98.4-2mdk
- fix %%files section

* Mon Oct 22 2001 dam's <damien@mandrakesoft.com> 0.7.98.4-1mdk
- From Han <han@mijncomputer.nl> :
		- updated to next version
		- menus are now installed.

* Fri Oct 12 2001 dam's <damien@mandrakesoft.com> 0.7.98.3-6mdk
- removed bad menu.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.98.3-5mdk
- BuildRequires: perl-devel
- Removed redundantBuildRequires

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.7.98.3-4mdk
- added devel package

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.7.98.3-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-2mdk
- Rebuild against the newest and shiniest perl 5.6.1 (dam's you suck for
  forgetting to rebuild this :) .

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-1mdk
- New and shiny source.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-3mdk
- Use %%perl_vendorarch and %%perl_archlib.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-2mdk
- Add nls support.
- Make it build much better.

* Tue Mar 6 2001 Daouda Lo <daouda@mandrakesoft.com> 0.7.98.2-1mdk
- release 0.7.98.2

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.97.2-2mdk
- Use optimizations

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 0.7.97.2-1mdk
- update
- cleanups

* Tue Dec 5 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.97-1mdk
- update
- big changes in spec (cleanup, GTK/GNOME support dropped by the author)
- fix ncurses build dependencies
- new description
- libproplist isn't needed anymore (irssi ship his own conf lib)

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.96-2mdk
- Fix again build for archs <> than i386

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.96-1mdk
- big release ;-)
- build with bot , perl , mysql support
- text based support
- provides all icons
- mv from /usr/doc to /usr/share/doc

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-10mdk
- icons should be transparents.
- include menu entry in the body of spec file.
- more macrozifications.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-9mdk
- add 32*32 icon for menu & replace gif icons format by xpm format.

* Wed Sep 20 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.20.1-8mdk
- %%config(noreplace)
- Remove stupid hard coded PATH in Menu entry
- Macros
- Use %%_tmppath for BuidRoot
- Spec clean up
- Remove french Description and Summary
- Fix typos in longtile (Menu entry)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.20.1-7mdk
- automatically added BuildRequires

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 :
    - Authors Note :
    There's still a small bug in 0.7.18 irssi, if you
    use GtkText to print text it won't scroll down
    automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this
